## 如何使用

#### 获取模拟信息

- **如何获取GPS坐标（经纬度）？**
<br/>
[高德地图坐标拾取](http://lbs.amap.com/console/show/picker)
<br/>
[百度地图坐标拾取](http://api.map.baidu.com/lbsapi/getpoint/)（手机访问无法选取坐标，可通过搜索获取）
<br/>
[谷歌地图](https://www.google.com/maps/)（需科学上网）
<br/>

- **如何获取基站信息？**
<br/>
[反向基站定位查询](http://www.cellocation.com/recell.html)（只含中国大陆基站数据）
<br/>
[OpenCellId](http://opencellid.org/)
<br/>

#### GPS动态模拟
- 进入要动态改变Gps信息的`App`的设置页面，点击`关联悬浮窗`
- 在主页面**右上角**目录中选择`切换悬浮窗`
- 悬浮窗中使用摇杆可设置移动的**方向**和对应**强度值**（用于计算速度，强度值100即所设置的`最大速度`）
- 如该`App`使用`谷歌服务`获取位置信息，可在`设置`中开启`谷歌服务API支持`，之后进入该`App`设置页面设置即可。无需再单独设置`com.google.android.gms`

#### 问题

- 使用`高德地图`选择的位置无需再在`设置`中开启`偏移修正`

- 一般情况下，无需开启设备GPS即可模拟选定位置。由于部分`App`和本模块的实现逻辑及可能存在的`bug`，单独使用`GPS模拟`可能无法成功定位。
<br/><br/>
- 若无法定位，请更新到最新版本，同时尝试下列方法：
  - 确保要模拟的`App`拥有对应的权限
  - 关联悬浮窗，在悬浮窗中点左下角`更新`按钮
  - 开启设备GPS，并确保GPS信号正常
  - 单独使用`基站模拟`
  - 同时开启`GPS模拟`和`基站模拟`
  - 若`App`使用了定位SDK，可尝试在`设置`-`实验性功能`中打开对应的支持

#### 反馈

- **反馈地址**
<br/>
[酷安网](http://www.coolapk.com/apk/com.rong.xposed.fakelocation)
<br/>
[GitHub](https://github.com/j2rong/FakeLocation/issues)
<br/>
<br/>
- 功能建议
- *Bug*
  - 闪退请提交日志
  - 重现（引发 *Bug* 的操作）步骤
- 定位模拟失败
  - 应用名称、包名、版本号
  - 定位模拟方式（`GPS模拟`、`基站模拟`、`同时开启`）
- Xposed日志
  - 打开 `设置` - `输出日志` 开关
  - 重启 `App` 进行定位操作，用于日志记录
  - 打开 `Xposed Installer` - `日志` ，复制其中的内容
